Subject: virt-manager is not recognizing libvirtd service

From: Brett Gilio <[email-masked]>
Date: Thu, 21 Feb 2019 23:06:58 -0600

Hi all,

I am having an issue using virt-manager on GuixSD. I have libvirt and
virt-manager installed, and am starting the libvirtd service using my
configuration file. However, regardless of whether or not I start
virt-manager as root or normal privileges, I am getting a "checking for
virtualization packages..." note with an error of "No active connection
to install on." libvirtd and virtlogd are properly started as far as I
can tell by queurying the herd. Here is my relevant configuration.

(users (cons (user-account
                (name "brettg")
                (comment "Brett Gilio")
                (group "users")
                (supplementary-groups '("wheel" "netdev"
                                        "audio" "video"
					"libvirt"))
                (home-directory "/home/brettg"))
               %base-user-accounts))

  (packages (cons* nss-certs         ;for HTTPS access
                   gvfs              ;for user mounts
		   libvirt
                   %base-packages))

  (services (cons* (service gnome-desktop-service-type
			    (gnome-desktop-configuration
			     (inherit config)
			     (gnome-package gnome-custom)))
		   (service libvirt-service-type)
		   (service virtlog-service-type)
		   (service gdm-service-type)
                   (filter (lambda (x)
                             (not (eq? (service-kind x) slim-service-type)))
                           %desktop-services)))